.embed-responsive {
    position: relative;
    display: block;
    width: 100%;
    padding: 0;
    overflow: hidden;

    &::before {
        display: block;
        content: "";
    }

    .embed_responsive_item,
    iframe,
    embed,
    object,
    video {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 0;
    }
}

.embed-responsive_21by9 {
    &::before {
        padding-top: percentage(9 / 21);
    }
}

.embed-responsive_16by9 {
    &::before {
        padding-top: percentage(9 / 16);
    }
}

.embed-responsive_4by3 {
    &::before {
        padding-top: percentage(3 / 4);
    }
}

.embed-responsive_1by1 {
    &::before {
        padding-top: percentage(1 / 1);
    }
}

.img-fluid {
    height: auto;
    display: block;
    max-width: 100%;
}

.img-cover {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center center;
}

.img-contain {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;
}

.ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.hide {
    opacity: 0 !important;
    display: none !important;
    visibility: hidden !important;
}

// Visually hidden

.visually-hidden,
.visually-hidden-focusable:not(:focus):not(:focus-within) {
    @include visually-hidden();
}

// Alignment

.text-left      { text-align: left !important; }
.text-center    { text-align: center !important; }
.text-right     { text-align: right !important; }
.text-justify   { text-align: justify !important; }
.text-nowrap    { white-space: nowrap !important; }


// Transformation

.text-lowercase  { text-transform: lowercase !important; }
.text-uppercase  { text-transform: uppercase !important; }
.text-capitalize { text-transform: capitalize !important; }

.text-underline { text-decoration: underline }

.text-decoration-none {
    text-decoration: none !important;
}

.mb-0 			 { margin-bottom: 0px !important; }
.mb-10 			 { margin-bottom: size-rel(10px) !important; }
.mb-20 			 { margin-bottom: size-rel(20px) !important; }
.mb-30 			 { margin-bottom: size-rel(30px) !important; }
.mb-40 			 { margin-bottom: size-rel(40px) !important; }
.mb-50 			 { margin-bottom: size-rel(50px) !important; }
.mb-60 			 { margin-bottom: size-rel(60px) !important; }

.mb-15 { margin-bottom: 1.5rem !important; }
.mb-25 { margin-bottom: 2.5rem !important; }
.mb-35 { margin-bottom: 3.5rem !important; }

.pt-0 {
    padding-top: 0 !important;
}

.pb-0 {
    padding-bottom: 0 !important;
}

.mr-4 {
    margin-right: toRem(4) !important;
}

.mr-6 {
    margin-right: toRem(6) !important;
}

.mr-8 {
    margin-right: toRem(8) !important;
}

.mr-12 {
    margin-right: toRem(12) !important;
}

.mr-24 {
    margin-right: toRem(24) !important;
}

.mb-2 {
    margin-bottom: toRem(2) !important;
}

.mb-4 {
    margin-bottom: toRem(8) !important;
}

.mb-6 {
    margin-bottom: toRem(6) !important;
}

.mb-8 {
    margin-bottom: toRem(8) !important;
}

.mb-12 {
    margin-bottom: toRem(12) !important;
}

.mb-24 {
    margin-bottom: toRem(24);
}

.mt-2 {
    margin-top: toRem(2) !important;
}

.ml-4 {
    margin-left: toRem(4) !important;
}

.ml-12 {
    margin-left: toRem(12) !important;
}
.ml-24 {
    margin-left: toRem(24) !important;
}

.pl-28 {
    padding-left: toRem(28) !important;
}

.d-flex { display: flex;}
.align-center { align-items: center;}
.align-start { align-items: flex-start;}
.align-end { align-items: flex-end;}
.justify-content-between { justify-content: space-between };
.justify-content-start { justify-content: flex-start };
.justify-content-end { justify-content: flex-end };
.justify-content-center { justify-content: center };

.justify-content-end-lg {
    @include media-breakpoint-up(lg) {
        justify-content: flex-end;
    }
}

.flex-direction-column {
    flex-direction: column;
}

.flex-wrap {
    flex-wrap: wrap;
}

.w-100 {
    width: 100%;
}

.color-red {
    color: #E51740;
}

.font-500 {
    font-weight: 500 !important;
}

.fs-14 {
    font-size: toRem(14);
    line-height: toRem(24);
}

.color-black {
    color: $black !important;
}

.d-inline-block {
    display: inline-block;
}

.mb-16 {
    margin-bottom: toRem(16);
}

/// Upd 11.10.23

.gap-row-8 {
    row-gap: toRem(8);
}

.gap-row-16 {
    row-gap: toRem(16);
}

.gap-col-12 {
    column-gap: toRem(12);
}

.flex-glow {
    flex-grow: 1;
}

.color-gray {
    color: #5D6570;
}

.color-light-gray {
    color: #9C9C9C;
}

.color-blue {
    color: $blue;
}

.flex-shrink {
    flex-shrink: 0;
}

.pt-4 {
    padding-top: toRem(4);
}

.pt-12 {
    padding-top: toRem(12);
}
